//Создание задачи диспетчерского вызова прочих задач
function [err,msg]=CreateRegisteringSolvedTaskForFormalModelingTask(ProjectName,..//Имя проекта
                                                                    ProjectDirectory,..//Имя директории проекта
                                                                    errPrintMsg..//Печатаем или нет сообщения об ошибках
                                                                    )
    //Проверяем аргументы
    nArg = argn(2);//Число аргументов
    select nArg
    case 1 then
        ProjectName = '';
        ProjectDirectory = pwd();
        errPrintMsg = %t;//По умолчанию печатаем сообщения об ошибках
    case 2 then
        if type(ProjectName) == 4 then
            errPrintMsg = ProjectName;
            ProjectName = '';
        else
            errPrintMsg = %t;//По умолчанию печатаем сообщения об ошибках
        end
        ProjectDirectory = pwd();
    case 3 then
        if type(ProjectDirectory) == 4 then
            errPrintMsg = ProjectDirectory;
            ProjectDirectory = pwd();
        else
            errPrintMsg = %t;//По умолчанию печатаем сообщения об ошибках
        end
    end
    
    //Формируем полные имена
    ProjectTasksDirectory = fullfile(ProjectDirectory,'ProjectTasks');//Полное имя директории файлов задач
    DirectoryTemplateTasks = fullfile(SCIHOME,'administrate_formal_modeling_system_dynamic_project_templates');//Директория опорных задач
    fullArgumentsFilesNames = fullfile(DirectoryTemplateTasks,'RegSolvedTask.txt');//Полные имена файлов аргументов
    
    //Формируем задачи
    [err,msg]=CreateTasksByTemplateTasks(fullArgumentsFilesNames,..//Полные имена файлов аргументов
                                         ProjectTasksDirectory,..//Полное имя директории файлов сгенерированных задач
                                         ["ReadFunction.sce","DisplayFunction.sce","RegisteringSolvedTaskForFormalModeling.sce"],..//Опорные шаблонные задачи
                                         ProjectName,..//Имя проекта
                                         "ProjectName",..//Написание в коде переменной имени проекта
                                         DirectoryTemplateTasks,..//Директории опорных шаблонных задач
                                         %t,..//Текст шаблонного файла задачи копируем
                                         %t,..//Директорию задач удаляем
                                         errPrintMsg..//Печатаем или нет сообщения об ошибках
                                         );
endfunction
