//Регистрация решенных задач
function [err,msg]=RegisteredSolvedTaskForFormalModeling(InputRequestMsgFunction,..//Функция входных сообщений
                                                         DisplayFunction,..//Функция отображения
                                                         ProjectName,..//Имя проекта
                                                         errPrintMsg..//Необходимость печати сообщений об ошибках
                                                         )
    //Проверяем аргументы
    nArg = argn(2);
    if nArg < 2 then
        error('The function RegisteredSolvedTaskForFormalModeling takes 2, 3 or 4 arguments');
    end
    select argn(2)
    case 2 then
        ProjectName = "";//Имя проекта по умолчанию отсутcтвует
        errPrintMsg = %t;//По умолчанию печатаем сообщение об ошибках
    case 3 then
        if type(ProjectName) == 4 then
            errPrintMsg = ProjectName;
            ProjectName = "";//Имя проекта по умолчанию отсутcтвует
        else
            errPrintMsg = %t;//По умолчанию печатаем сообщения об ошибках
        end
    end
    
    //Регистрируем задачи
    [err,msg]=RegisteredSolvedTaskMsg(InputRequestMsgFunction,..
                                      ProjectName,errPrintMsg);
    if err ~= 0 then
        return;
    end
    
    //Выводим доступные задачи
    [EnabledTasks,err,msg]=ShowEnabledTasks(DisplayFunction,ProjectName,errPrintMsg);
endfunction
